# coding: utf-8
# """Copyright
# --------------------------------------------------------------------------------------------------------------------
# <copyright company="Aspose" file="translate_text.py">
# Copyright (c) 2022 GroupDocs.Translation for Cloud
# </copyright>
# <summary>
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# </summary>
# --------------------------------------------------------------------------------------------------------------------
# """

"""
 * Creates body for Hugo translation request
"""
import json


class TranslateHugo:
    """
        Attributes:
          model_types (dict):   The key is attribute name
                                and the value is attribute type.
          attribute_map (dict): The key is attribute name
                                and the value is json key in definition.
        """
    model_types = {
        'FileName': 'str',
        'Folder': 'str',
        'Storage': 'str',
        'Shortcodedict': 'dict'
    }

    attribute_map = {
        'FileName': 'filename',
        'Folder': 'folder',
        'Storage': 'storage',
        'Shortcodedict': 'shortcodedict'
    }

    def __init__(self, filename, folder, storage, shortcodedict):
        """
        :param str filename: file name to translate
        :param str folder: path to folder containing file
        :param str storage: storage where file is uploaded
        :param dict {int: list(str)} shortcodedict: dictionary of short code syntax in Hugo to translate, where the key is short code name, and value is a list of parameters names that require translation
        """
        self.FileName = filename
        self.Folder = folder
        self.Storage = storage
        self.Shortcodedict = shortcodedict

    def to_string(self):
        request = [{"filename": self.FileName, "folder": self.Folder, "storage": self.Storage, "shortcodedict": self.Shortcodedict}]
        return json.dumps(request)
